### Hierarchy

- Subscription
  - InteractionSubscription

## Index

### Constructors

- constructor

### Properties

- behaviourBind
- callback
- header
- interactionInterceptor
- mqttSensorQueue
- renderer
- type

### Methods

- bind
- getTopic
- onMessage
- publish
- reception
- unsubscribe

## Constructors

### constructor

- new InteractionSubscription(header: QueueHeader, callback: QueueCallback, mqttSensorQueue: MqttSensorQueue, renderer: IRenderer, interactionInterceptor?: InteractionInterceptor): InteractionSubscription

- Overrides Subscription.constructor

  - Defined in lib/connection/InteractionSubscription.ts:17

  #### Parameters

  - ##### header: QueueHeader

  - ##### callback: QueueCallback

  - ##### mqttSensorQueue: MqttSensorQueue

  - ##### renderer: IRenderer

  - ##### Default value interactionInterceptor: InteractionInterceptor = new DefaultInteractionInterceptor()

  #### Returns InteractionSubscription

## Properties

### behaviourBind

behaviourBind: Array<IBehaviour> = []

Inherited from Subscription.behaviourBind

- Defined in lib/connection/Subscription.ts:10

### callback

callback: QueueCallback

Inherited from Subscription.callback

- Defined in lib/connection/Subscription.ts:8

### header

header: QueueHeader

Inherited from Subscription.header

- Defined in lib/connection/Subscription.ts:7

### Private interactionInterceptor

interactionInterceptor: InteractionInterceptor

- Defined in lib/connection/InteractionSubscription.ts:17

### mqttSensorQueue

mqttSensorQueue: MqttSensorQueue

Inherited from Subscription.mqttSensorQueue

- Defined in lib/connection/Subscription.ts:9

### renderer

renderer: IRenderer

- Defined in lib/connection/InteractionSubscription.ts:16

### type

type: ConversationQueueType

Inherited from Subscription.type

- Defined in lib/connection/Subscription.ts:6

## Methods

### bind

- bind(behaviour: IBehaviour): void

- Inherited from Subscription.bind

  - Defined in lib/connection/Subscription.ts:43

  #### Parameters

  - ##### behaviour: IBehaviour

  #### Returns void

### getTopic

- getTopic(): string

- Inherited from Subscription.getTopic

  - Defined in lib/connection/Subscription.ts:53

  #### Returns string

### onMessage

- onMessage(message: object): void

- Overrides Subscription.onMessage

  - Defined in lib/connection/InteractionSubscription.ts:45

  #### Parameters

  - ##### message: object

  #### Returns void

### publish

- publish(payload: IEventPayload): void

- Inherited from Subscription.publish

  - Defined in lib/connection/Subscription.ts:34

  #### Parameters

  - ##### payload: IEventPayload

  #### Returns void

### reception

- reception(attributes: object): void

- - Defined in lib/connection/InteractionSubscription.ts:33

  #### Parameters

  - ##### attributes: object

  #### Returns void

### unsubscribe

- unsubscribe(): void

- Inherited from Subscription.unsubscribe

  - Defined in lib/connection/Subscription.ts:24

  #### Returns void

Generated using TypeDoc